/* -*- mode: c++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */

/*
Copyright (C) 2010 Klaus Spanderen

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the license for more details.
*/


#ifndef quantlib_cudatypes_hpp
#define quantlib_cudatypes_hpp

#ifdef _WIN32
    typedef __int32 int32_t;
    typedef unsigned __int32 uint32_t;
    typedef __int16 int16_t;
    typedef unsigned __int16 uint16_t;
#else
#include <stdint.h>
#endif

typedef double real;

#endif
